Bug 150529 - Add an option to make the graphics benchmark runs a specific test with fixed complexity
Summary: Add an option to make the graphics benchmark runs a specific test with fixed ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Animations (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-10-23 21:30 PDT by Said Abou-Hallawa
Modified: 2015-11-01 18:31 PST (History)
6 users (show)

See Also:


Attachments
Patch (73.45 KB, patch)
2015-10-31 00:49 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (13.22 KB, patch)
2015-11-01 02:15 PST, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2015-10-23 21:30:06 PDT
This means the test complexity will not change to achieve the desired frame rate. But this can be useful in comparing two profiles of the same test but with different implementations or different configurations.
Comment 1 Radar WebKit Bug Importer 2015-10-23 21:30:46 PDT
<rdar://problem/23246627>
Comment 2 Said Abou-Hallawa 2015-10-31 00:49:20 PDT
Created attachment 264470 [details]
Patch
Comment 3 Darin Adler 2015-10-31 14:46:00 PDT
Comment on attachment 264470 [details]
Patch

rs=me
Comment 4 Said Abou-Hallawa 2015-11-01 02:15:41 PST
Created attachment 264510 [details]
Patch
Comment 5 WebKit Commit Bot 2015-11-01 18:31:53 PST
Comment on attachment 264510 [details]
Patch

Clearing flags on attachment: 264510

Committed r191873: <http://trac.webkit.org/changeset/191873>
Comment 6 WebKit Commit Bot 2015-11-01 18:31:57 PST
All reviewed patches have been landed.  Closing bug.